## phatch 0.2.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/Phatch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/Phatch.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

## phatch 0.2.7

=== debian/changelog ===
phatch (0.2.7-2) unstable; urgency=low

  * Prepare for Python 2.6:
    - do_not_raise_string_exceptions.patch added
  * Source package format changed to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 27 May 2010 20:17:37 +0200

phatch (0.2.7-1) unstable; urgency=low

  [ Stani M ]
  * Upstream bugfix release (Closes LP: #472978, #487435, #516763, #516858, 
    #525999, #526047, #526235, #526237, #526489, #529343, #529429, #525831, 
    #526237, #529544, #529605, #531375, #531705, #531728, #532346, #532356, 
    #532540, #532544, #533068, #534723, #534834, #534835, #535189, #535192,
    #536820)
  * debian/control: Add python-nautilus to phatch-nautilus's Depends

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Adapt for the upstream changes.
  * debian/copyright:
    - Updated for the new version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 12 Mar 2010 14:04:02 +0100

phatch (0.2.6-1) unstable; urgency=low

  * New upstream release
  * Add xdg-utils to phatch's Depends
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 16 Feb 2010 22:43:48 +0100

phatch (0.2.5-1) unstable; urgency=low

  [ Stani M ]
  * Upstream bugfix release (Closes LP: #454426, #458366, #469231, #481751,
    #492665)
  * debian/watch: updated new location

  [ Bernd Zeimetz ] 
  * debian/control:
    - Removing myself from Uploaders. 

 -- Stani M <spe.stani.be@gmail.com>  Thu, 10 Dec 2009 01:07:36 +0100

phatch (0.2.4-1) unstable; urgency=low

  * Upstream bugfix release (Closes LP: #450693, #449404, #452261,
    #448993)
    
  * debian/control: added for phatch: Replaces: phatch-cli (<= 0.2.3-2)
    to fix file overwrite errors (LP: #450800)

 -- Stani M <spe.stani.be@gmail.com>  Thu, 15 Oct 2009 18:22:54 +0200

phatch (0.2.3-2) unstable; urgency=low

  * phatch.desktop and menu files are now shipped by phatch package
    (LP: #449210)
    - add lintian overrides for above changes (phatch depends on phatch-cli so
      everything is ok)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 12 Oct 2009 11:53:43 +0200

phatch (0.2.3-1) unstable; urgency=low

  * Upstream bugfix release (Closes LP: #448845, #446725, #445943)

 -- Stani M <spe.stani.be@gmail.com>  Sun, 11 Oct 2009 19:07:45 +0200

phatch (0.2.2-1) unstable; urgency=low

  * Upstream bugfix release (Closes LP: #236548, #436595, #437161,
   #437376, #437852, #439108, #439359, #440273, #440956)
  * debian/control: Dropped dependency python-wxgtk2.6

 -- Stani M <spe.stani.be@gmail.com>  Thu, 01 Oct 2009 05:36:09 +0200

phatch (0.2.1-4) unstable; urgency=low

  * Add mlocate as an alternative dependency to locate (Closes: #548251)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2009 23:22:12 +0200

phatch (0.2.1-3) unstable; urgency=low

  * replace --install-scripts=/usr/bin with --prefix=/usr
    (so that data files will be installed in the right place as well)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Sep 2009 20:16:44 +0200

phatch (0.2.1-2) unstable; urgency=low

  * pass --install-scripts=/usr/bin to setup.py (otherwise it will FTBFS when
    default Python version is >= 2.6)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Sep 2009 18:28:39 +0200

phatch (0.2.1-1) unstable; urgency=low

  [ Stani M ]
   * New upstream release (Closes LP: #198365, #234788, #270478,
    #297241, #304132, #311646, #344548, #352009, #378889, #378890,
    #379280, #379720, #380415, #380776, #380816, #381091, #381145,
    #381149, #381169, #381379, #381660, #382266, #382763, #382766,
    #382776, #382977, #383140, #383664, #383889, #384273, #384315,
    #384322, #384420, #384421, #384495, #384522, #384548, #384974,
    #385058, #385059, #385166, #385246, #385356, #385740, #386411,
    #386494, #386509, #386638, #386643, #386707, #386741, #386761,
    #386772, #387116, #387413, #388094, #388155, #388371, #388848,
    #390070, #391006, #391483, #391484, #391486, #391488, #391539,
    #391542, #392907, #392999, #393183, #393255, #393257, #393993,
    #394022, #394041, #394946, #398704, #413271, #415152, #418519,
    #419459, #419563, #425910)
  * debian/copyright:
    - Added copyrights for the new contributions.
  * debian/control:
    - Added python-notify and libtiff-tools as dependencies

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Install phatch in /usr/share/phatch instead of as a public module.
    - Stop removing a file from a pysupport folder. With the above change
      is not necessary anymore. Closes: #516322.
  * debian/copyright:
    - Add "Copyright" to the debian copyright.
    - Update years.
  * debian/control:
    - move python-nautilus and pkg-config to Build-Depends-Indep.
    - Wrap depends.
  * Update my email address.

  [ Piotr Ożarowski ]
  * Splitting out the package, new binary packages:
    - phatch-cli (command line interface)
    - phatch-doc (documentation for developers)
    - phatch-nautilus (Python nautilus integration)
  * Add blender and inkscape to phatch's Suggests
  * Add imagemagick, libjpeg-progs, exiftran, xcftools and dcraw to
    phatch-cli's Recommends (new actions will use them)
  * Add ttf-freefont and ttf-thai-tlwg to phatch-cli Depends (and add symlinks
    to use fonts from these packages instead of local copies)
  * Add locate to phatch-cli's Depends (used to find fonts)
  * Add python-sphinx and locate to build depens (docs are regenerated at
    build time)
  * Add lintian override for extra-license-file in phatch-doc (false positive)
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 23 Sep 2009 10:24:46 +0200

phatch (0.1.6-1) unstable; urgency=low

  [ Stani M ]
  * New upstream release (Closes LP: #288404, #277073, #260549)

  [ Emilio Pozuelo Monfort ]
  * Fix watch file.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2008 21:43:23 +0100

phatch (0.1.5-1) unstable; urgency=medium

  [ Stani M ]


=== debian/control ===
Source: phatch
Section: graphics
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, 
 Stani M <spe.stani.be@gmail.com>, Piotr Ożarowski <piotr@debian.org>
Standards-Version: 3.8.4
Homepage: http://photobatch.stani.be
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/phatch/trunk/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/phatch/trunk/
Build-Depends: debhelper (>= 5.0.51),
               cdbs (>= 0.4.43),
               python (>= 2.3.5-11)
Build-Depends-Indep: python-support (>= 0.5.3),
                     python-nautilus,
                     pkg-config,
                     python-sphinx,
                     locate

Package: phatch
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         phatch-cli (= ${binary:Version}),
         xdg-utils,
# move these to phatch-wx in the future:
         python-wxgtk2.8,
         python-wxversion,
Suggests: blender, inkscape
Enhances: thunar
Replaces: phatch-cli (<= 0.2.3-2)
Description: simple to use Photo Batch Processor - GUI
 Phatch handles all popular image formats and can duplicate (sub)folder
 hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
 corners, ... and more in minutes instead of hours or days if you do it
 manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
 stamping.

Package: phatch-cli
Conflicts: phatch (<< 0.2-1~)
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-imaging,
         python-notify,
         python-pyexiv2,
         libtiff-tools,
         ttf-freefont,
         ttf-thai-tlwg,
         locate | mlocate
# move Recommends to phatch-plugins if we'll decide to split out plugins:
Recommends: xcftools,
         dcraw,
         imagemagick,
         libjpeg-progs,
         exiftran
Description: simple to use Photo Batch Processor - command line interface
 Phatch handles all popular image formats and can duplicate (sub)folder
 hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
 corners, ... and more in minutes instead of hours or days if you do it
 manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
 stamping.
 .
 This package contains command line interface to Phatch.

Package: phatch-nautilus
Architecture: all
Depends: ${misc:Depends}, phatch, nautilus, python-nautilus
Enhances: nautilus
Description: simple to use Photo Batch Processor - Nautilus scripts
 Phatch handles all popular image formats and can duplicate (sub)folder
 hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
 corners, ... and more in minutes instead of hours or days if you do it
 manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
 stamping.
 .
 This package integrates Phatch with Nautilus.

Package: phatch-doc
Architecture: all
Priority: extra
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: phatch
Description: simple to use Photo Batch Processor - developer documentation
 Phatch handles all popular image formats and can duplicate (sub)folder
 hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
 corners, ... and more in minutes instead of hours or days if you do it
 manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
 stamping.
 .
 This package provides Phatch documentation for developers.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

PKG_P_DIR=$(CURDIR)/debian/phatch
PKG_C_DIR=$(CURDIR)/debian/phatch-cli
PKG_D_DIR=$(CURDIR)/debian/phatch-doc
PKG_N_DIR=$(CURDIR)/debian/phatch-nautilus

# install to phatch-cli by default and move files later
DEB_PYTHON_INSTALL_ARGS_ALL = --install-lib=/usr/share/phatch --prefix=/usr --root=$(PKG_C_DIR)

binary-install/phatch-cli::
	rm -rf $(PKG_C_DIR)/usr/share/phatch/docs # install_data creates it
	find $(PKG_C_DIR) -name '*.py[co]' -delete
	sed -i -e "s|import phatch|sys.path.insert(0,'/usr/share/phatch/');import phatch|" $(PKG_C_DIR)/usr/bin/phatch

binary-install/phatch:: binary-install/phatch-cli
	dh_installdirs
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/pyWx $(PKG_P_DIR)/usr/share/phatch/phatch
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/lib/pyWx $(PKG_P_DIR)/usr/share/phatch/phatch/lib
	mv $(PKG_C_DIR)/usr/share/applications $(PKG_P_DIR)/usr/share
	dh_icons
	cp $(CURDIR)/debian/phatch.lintian $(PKG_P_DIR)/usr/share/lintian/overrides/phatch

binary-install/phatch-nautilus:: binary-install/phatch-cli
	mkdir -p $(PKG_N_DIR)/usr/share/phatch/phatch/lib/linux/
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/lib/linux/nautilusExtension.py\
	   $(PKG_N_DIR)/usr/share/phatch/phatch/lib/linux/

binary-install/phatch-doc::
	dh_installdirs
	cd docs && python update.py
	dh_install -p phatch-doc docs/build/html /usr/share/doc/phatch/
	dh_link -p phatch-doc /usr/share/javascript/jquery/jquery.js \
	    /usr/share/doc/phatch/html/_static/jquery.js
	rm -f $(PKG_D_DIR)/usr/share/doc/phatch/html/.buildinfo
	echo "phatch-doc: extra-license-file usr/share/doc/phatch/html/_sources/data.license.txt" \
		>> $(PKG_D_DIR)/usr/share/lintian/overrides/phatch-doc

clean::
	rm -rf docs/build

## phatch 0.2.7.1

=== debian/changelog ===
phatch (0.2.7.1-5) unstable; urgency=medium

  * Team upload.
  * debian/patches/bts823796.patch
    - fix compatibility with Pillow 4.x; patch by Steve Cotton; Closes: #823796

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Jun 2017 20:01:28 -0400

phatch (0.2.7.1-4) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/patches:
    + Add fix-loading.patch to fix load with latest version of python-imaging
    and python-pil. (Closes: #811184, LP: #1567827)
  * Drop debian/phatch.menu
  * debian/control:
    + Use secured links for VCS.
    + Bump Standards-Version to 3.9.8. (no changes needed)
  * Drop debian/phatch.lintian: it is useless.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 17 Aug 2016 20:44:12 +0200

phatch (0.2.7.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxpython3.0 (Closes: #758942):
    + New patch: wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Sun, 31 Aug 2014 18:10:50 +0000

phatch (0.2.7.1-3) unstable; urgency=low

  * Replace python-imaging-compat dependency with python-imaging
    (closes: 722920)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 02 Oct 2013 23:38:19 +0200

phatch (0.2.7.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Barry Warsaw ]
  * debian/control
    - Depend on python-imaging-compat since PILcompat.pth is necessary to
      expose the required imports.  (Closes: #709370)

  [ Piotr Ożarowski ]
  * Replace ttf-thai-tlwg dependency with fonts-thai-tlwg and ttf-freefont
    with fonts-freefont-ttf (closes: #709763)
  * Convert from pysupport to dh_python2, add dh-python to Build-Depends
    (closes: #658852)
  * Convert from cdbs to dh (and pybuild build system)
  * python-nautilus removed from Build-Depends (closes: #644979)
  * Byte-compile Python files in phatch-cli package (closes: #659880)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Bump debian/compat to 9

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Aug 2013 20:35:18 +0200

phatch (0.2.7.1-1) unstable; urgency=low

  * New upstream release
  * Add pyexiv2.patch to use new pyexiv2 API (thanks to Olivier Tilloy,
    closes: #614008 and LP: #710874)
  * Bump python-pyexiv2's minimum required version to 0.3
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 Mar 2011 20:09:14 +0100

phatch (0.2.7-5) unstable; urgency=low

  * Fix version number in phatch-cli Replaces/Conflicts (really closes: 608952)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 08 Jan 2011 15:06:17 +0100

phatch (0.2.7-4) unstable; urgency=low

  * Make sure old phatch-nautilus package is removed (closes: 608952) 

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jan 2011 23:49:48 +0100

phatch (0.2.7-3) unstable; urgency=low

  * Drop phatch-nautilus binary package until next upstream release
    (closes: 601622)
  * Do not compress objects.inv file (closes: 608764)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 03 Jan 2011 23:01:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, 
- Stani M <spe.stani.be@gmail.com>, Piotr Ożarowski <piotr@debian.org>
-Standards-Version: 3.8.4
+ Stani M <spe.stani.be@gmail.com>,
+ Piotr Ożarowski <piotr@debian.org>
+Standards-Version: 3.9.8
 Homepage: http://photobatch.stani.be
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/phatch/trunk/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/phatch/trunk/
-Build-Depends: debhelper (>= 5.0.51),
-               cdbs (>= 0.4.43),
-               python (>= 2.3.5-11)
-Build-Depends-Indep: python-support (>= 0.5.3),
-                     python-nautilus,
-                     pkg-config,
-                     python-sphinx,
-                     locate
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/phatch/trunk/
+Vcs-Svn: https://anonscm.debian.org/python-apps/packages/phatch/trunk/
+Build-Depends: debhelper (>= 9),
+ python,
+ dh-python,
+ pkg-config,
+ python-sphinx,
+ locate
 
 Package: phatch
 Architecture: all
@@ -24,7 +23,7 @@
          phatch-cli (= ${binary:Version}),
          xdg-utils,
 # move these to phatch-wx in the future:
-         python-wxgtk2.8,
+         python-wxgtk3.0,
          python-wxversion,
 Suggests: blender, inkscape
 Enhances: thunar
@@ -38,15 +37,17 @@
 
 Package: phatch-cli
 Conflicts: phatch (<< 0.2-1~)
+Breaks: phatch-nautilus (<< 0.2.7-3)
+Replaces: phatch-nautilus (<< 0.2.7-3)
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
          python-imaging,
          python-notify,
-         python-pyexiv2,
+         python-pyexiv2 (>= 0.3),
          libtiff-tools,
-         ttf-freefont,
-         ttf-thai-tlwg,
+         fonts-freefont-ttf,
+         fonts-thai-tlwg,
          locate | mlocate
 # move Recommends to phatch-plugins if we'll decide to split out plugins:
 Recommends: xcftools,
@@ -63,18 +64,18 @@
  .
  This package contains command line interface to Phatch.
 
-Package: phatch-nautilus
-Architecture: all
-Depends: ${misc:Depends}, phatch, nautilus, python-nautilus
-Enhances: nautilus
-Description: simple to use Photo Batch Processor - Nautilus scripts
- Phatch handles all popular image formats and can duplicate (sub)folder
- hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
- corners, ... and more in minutes instead of hours or days if you do it
- manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
- stamping.
- .
- This package integrates Phatch with Nautilus.
+#Package: phatch-nautilus
+#Architecture: all
+#Depends: ${misc:Depends}, phatch, nautilus, python-nautilus
+#Enhances: nautilus
+#Description: simple to use Photo Batch Processor - Nautilus scripts
+# Phatch handles all popular image formats and can duplicate (sub)folder
+# hierarchies. It can batch resize, rotate, apply perspective, shadows, rounded
+# corners, ... and more in minutes instead of hours or days if you do it
+# manually. Phatch allows you to use EXIF and IPTC tags for renaming and data
+# stamping.
+# .
+# This package integrates Phatch with Nautilus.
 
 Package: phatch-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PKG_P_DIR=$(CURDIR)/debian/phatch
PKG_C_DIR=$(CURDIR)/debian/phatch-cli
PKG_D_DIR=$(CURDIR)/debian/phatch-doc
PKG_N_DIR=$(CURDIR)/debian/phatch-nautilus

%:
	dh $@ --with python2 --buildsystem=pybuild 

override_dh_auto_install:
	# install to phatch-cli by default and move files later
	PYBUILD_INSTALL_ARGS="--install-lib=/usr/share/phatch --prefix=/usr --root=$(PKG_C_DIR)" \
	dh_auto_install
	rm -rf $(PKG_C_DIR)/usr/share/phatch/docs # install_data creates it
	find $(PKG_C_DIR) -name '*.py[co]' -delete
	sed -i -e "s|import phatch|sys.path.insert(0,'/usr/share/phatch/');import phatch|" $(PKG_C_DIR)/usr/bin/phatch
	
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/pyWx $(PKG_P_DIR)/usr/share/phatch/phatch
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/lib/pyWx $(PKG_P_DIR)/usr/share/phatch/phatch/lib
	mv $(PKG_C_DIR)/usr/share/applications $(PKG_P_DIR)/usr/share
	
	mkdir -p $(PKG_N_DIR)/usr/share/phatch/phatch/lib/linux/
	mv $(PKG_C_DIR)/usr/share/phatch/phatch/lib/linux/nautilusExtension.py\
	   $(PKG_N_DIR)/usr/share/phatch/phatch/lib/linux/
	
	cd docs && python update.py
	dh_install -p phatch-doc docs/build/html /usr/share/doc/phatch/
	dh_link -p phatch-doc /usr/share/javascript/jquery/jquery.js \
	    /usr/share/doc/phatch/html/_static/jquery.js
	rm -f $(PKG_D_DIR)/usr/share/doc/phatch/html/.buildinfo
	echo "phatch-doc: extra-license-file usr/share/doc/phatch/html/_sources/data.license.txt" \
		>> $(PKG_D_DIR)/usr/share/lintian/overrides/phatch-doc

override_dh_python2:
	dh_python2
	dh_python2 -p phatch-cli /usr/share/phatch/phatch

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build docs/build debian/phatch-nautilus/
